Get Agent Conversation
curl --request GET \
--url https://api.getello.ai/api/agents/{agent_id}/conversations/{conversation_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getello.ai/api/agents/{agent_id}/conversations/{conversation_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getello.ai/api/agents/{agent_id}/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Conversation retrieved successfully",
"data": {
"id": "6900be1d39f3fd5dd4e503d4",
"assistant_id": "68dce5202fc07b92042493b1",
"conversation_id": "6900b87ca70928b1224f0619",
"disconnect_reason": "user_disconnect",
"status": "connected",
"to_number": null,
"userId": "685d4b93fb5b2e221dc80ea8",
"workspaceId": "6960a5eb2c65e7fda50603e5",
"campaign_id": null,
"connected_at": "2025-10-28T12:35:17.423000Z",
"ended_at": "2025-10-28T12:59:09.821000Z",
"duration": "00:23:52",
"duration_sec": 1432,
"disconnected_by": "user",
"metadata": {
"summary": "…",
"process_compliance": "yes",
"outcome": "positive"
}
}
}{
"status": 400,
"message": "<string>"
}{
"status": 401,
"message": "Authentication token is missing or invalid"
}{
"status": 500,
"message": "Error while getting conversation info",
"error": {
"details": "Error message details"
}
}Reports
Get Agent Conversation
Retrieves detailed statistics and metadata for a specific conversation of a given agent
GET
/
api
/
agents
/
{agent_id}
/
conversations
/
{conversation_id}
Get Agent Conversation
Authorizations
apiKeybearerAuth
Path Parameters
Unique identifier of the agent.
Example:
"68dce5202fc07b92042493b1"
Unique identifier of the conversation.
Example:
"6900b87ca70928b1224f0619"
⌘I